3

using Dell G3 15 3500 with Ubuntu 20.04.1, impossible to upgrade dell-linux-assistant

sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

sudo apt list --upgradable -a
Listing... Done
dell-linux-assistant/bionic 2.2.0545 amd64 [upgradable from: 2.2.0544]
dell-linux-assistant/now 2.2.0544 amd64 [installed,upgradable to: 2.2.0545]

I think this pb come from my actual 20.04.1 come from an upgrade of 18.04!

Please note too impossible to get this upgrade: 20.04.2

According to @NOrbert's request

jrd_10@my-pc:~$ sudo apt-cache policy dell-linux-assistant
dell-linux-assistant:
   Installed: 2.2.0544
   Candidate: 2.2.0545
   Version table:
        2.2.0545 500
            500 http://ppa.launchpad.net/somerville-dla-team/ppa/ubuntu bionic/main amd64 Packages
*** 2.2.0544 100
        100 /var/lib/dpkg/status
6
  • Please add the output of apt-cache policy dell-linux-assistant to the question by editing it.
    – N0rbert
    May 28, 2021 at 19:19
  • Thank you for your request. I have added it.
    – jrd10
    Jul 21, 2021 at 11:07
  • I think that answer below solves your issue. If not please clarify the Ubuntu version. Is it bionic (18.04) or focal (20.04)?
    – N0rbert
    Jul 21, 2021 at 11:19
  • Hi, thank again for your feedback. On my Dell, it is the initial distro: 20.04.1! (Unable to update to .2) I have the pb again
    – jrd10
    Jul 21, 2021 at 12:11
  • jrd_10@my-pc:~$ sudo apt list --upgradable -a Listing... Done libxnvctrl0/focal-security 470.57.01-0ubuntu0.20.04.1 amd64 [upgradable from: 460.73.01-0ubuntu0.20.04.1] libxnvctrl0/focal-updates,now 460.73.01-0ubuntu0.20.04.1 amd64 [installed,upgradable to: 470.57.01-0ubuntu0.20.04.1] libxnvctrl0/focal 440.64-0ubuntu1 amd64 ... I understand as I have the last 20.04 version, these repositories have not been updated!
    – jrd10
    Jul 21, 2021 at 12:15

1 Answer 1

3

I solved this issue by adding a new ppa from “The Somerville-dla team” for the focal variant.

in the terminal:

sudo add-apt-repository ppa:somerville-dla-team/ppa

And deactivated the older ppa somerville-dla-team/ppa/ubuntu bionic main through software & updates (GUI).

after that in the terminal :

sudo apt update && sudo apt full-upgrade

which results in my case:

Er moeten 397 kB aan archieven opgehaald worden.
Na deze bewerking zal er 1.024 B extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] j
Ophalen:1 http://ppa.launchpad.net/somerville-dla-team/ppa/ubuntu focal/main amd64 dell-linux-assistant amd64 2.2.0548 [397 kB]
397 kB opgehaald in 0s (3.064 kB/s)          
(Database wordt ingelezen ... 197398 bestanden en mappen momenteel geïnstalleerd
.)
Uitpakken van .../dell-linux-assistant_2.2.0548_amd64.deb wordt voorbereid...
Bezig met uitpakken van dell-linux-assistant (2.2.0548) over (2.2.0544) ...
Instellen van dell-linux-assistant (2.2.0548) ...

I had to restart the laptop (Dell XPS-13-9310) to get dell assistant running after this.

4
  • I thank you, it seems ok jrd_10@my-pc:~$ sudo apt-cache policy dell-linux-assistant dell-linux-assistant: Installed: 2.2.0548 Candidate: 2.2.0548 Version table: *** 2.2.0548 500 500 http://ppa.launchpad.net/somerville-dla-team/ppa/ubuntu focal/main amd64 Packages 100 /var/lib/dpkg/status jrd_10@my-pc:~$
    – jrd10
    Jul 21, 2021 at 9:40
  • jrd_10@my-pc:~$ sudo apt list --upgradable -a Listing... Done
    – jrd10
    Jul 21, 2021 at 9:42
  • I dont how to mention you answer solved my request!
    – jrd10
    Jul 21, 2021 at 10:26
  • Please, note it is the Ubuntu 20.04.1 LTS (fossa-shireen X44), unable to upgrade to 20.04.2
    – jrd10
    Jul 21, 2021 at 10:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.